Cantera 2.6.0

Classes | Namespaces | Typedefs | Enumerations
ThermoPhase.h File Reference

Header file for class ThermoPhase, the base class for phases with thermodynamic properties, and the text for the Module thermoprops (see Thermodynamic Properties and class ThermoPhase). More...

`#include "Phase.h"`
`#include "MultiSpeciesThermo.h"`
`#include "cantera/base/Units.h"`
`#include "cantera/base/AnyMap.h"`
Include dependency graph for ThermoPhase.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | ThermoPhase
| Base class for a phase with thermodynamic properties. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Typedefs
typedef ThermoPhase | thermo_t
| typedef for the ThermoPhase class More...

## Enumerations
enum class | ThermoBasis { mass , molar }
| Differentiate between mole fractions and mass fractions for input mixture composition. More...

## Variables
CONSTANTS - Specification of the Molality convention
const int | cAC_CONVENTION_MOLAR = 0
const int | cAC_CONVENTION_MOLALITY = 1
| Standard state uses the molality convention. More...
CONSTANTS - Specification of the SS convention
const int | cSS_CONVENTION_TEMPERATURE = 0
const int | cSS_CONVENTION_VPSS = 1
| Standard state uses the molality convention. More...
const int | cSS_CONVENTION_SLAVE = 2
| Standard state thermodynamics is obtained from slave ThermoPhase objects. More...

## Detailed Description

Header file for class ThermoPhase, the base class for phases with thermodynamic properties, and the text for the Module thermoprops (see Thermodynamic Properties and class ThermoPhase).

Definition in file ThermoPhase.h.